package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 封装检验数据、样本溶液、检材连表查询的DTO类
 */
@Data
@ApiModel(value = "DataSolutionSampleDTO", description = "封装检验数据、样本溶液、检材连表查询的DTO类")
public class DataSolutionSampleDTO {

    @ApiModelProperty("检验数据id")
    private String sampleDataId;

    @ApiModelProperty("检验数据结果json")
    private String dataResultJson;

    @ApiModelProperty("化合物名称")
    private String compoundName;

    @ApiModelProperty("是否检出，是否检出该物质  1检出 0 未检出")
    private Integer isDetected;

    @ApiModelProperty("溶液编号")
    private String sampleNo;

    @ApiModelProperty("检验id")
    private String testId;

    @ApiModelProperty("检材id")
    private String materialId;

    @ApiModelProperty("检材名称")
    private String sampleName;

    @ApiModelProperty("业务id")
    private String businessId;

    @ApiModelProperty("化合物浓度")
    private Double sampleConcentration;

    @ApiModelProperty("委托中检材的序号")
    private Integer orderNo;//委托中检材的序号

}
