package digital.laboratory.platform.inspection.dto;

import com.alibaba.fastjson.JSONArray;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import java.time.LocalDate;
import java.util.List;

@Data
@ApiModel(value = "ExportSewageAnalystReportsDTO", description = "导出污水专项检测毒品分析报告")
public class ExportSewageAnalystReportsDTO {

    @ApiModelProperty("任务id")
    String jobId;

//    @ApiModelProperty("月份")
//    LocalDate month;

    @ApiModelProperty("省名称")
    String provinceName = "陕西省";

    @ApiModelProperty("省地区编码")
    String provinceCode = "610000";

    @ApiModelProperty("是否生成依托咪酯相关的数据, 默认不生成")
    private Boolean generateEtomidateTable = false;

    @ApiModelProperty("人均日吸烟（支）")
    private Double dailySmokingPerCapita;

    @ApiModelProperty("常见毒品及其代谢物")
    private List<ReportConfigDTO> commonDrugAndMetabolites;

    @ApiModelProperty("人口标记物")
    private List<ReportConfigDTO> populationMarkers;

    @ApiModelProperty("报告配置")
    private JSONArray reportConfig;
}
