package digital.laboratory.platform.inspection.dto;

import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @title NPSCaseTestResultDto NPS 案件数据结果对象，这个需要加入标准溶液的数据信息
 * @description
 * @create 2024/1/19 11:20
 */
@Data
public class NPSCaseTestResultDto {

    private String sampleId;
    private String sampleName;

    private Double targetRetentionTime;//目标物保留时间
    private Double stdRetentionTime;//参考标准物质保留时间
    private Integer rtErrorValue;//保留时间误差值，就是目标物保留时间与参考标准物质保留时间的差值
    private Boolean isInErrorRange;//是否在误差范围内，true 在误差范围内，false 不在误差范围内

    private Double stdIar2;//参考物质离子丰度比
    private Double stdIar3;//参考物质离子丰度比
    private Double stdIar4;//参考物质离子丰度比

    private Double targetIar2;//检材离子丰度比2
    private Double targetIar3;//检材离子丰度比2
    private Double targetIar4;//检材离子丰度比2

    private Double errorIarValue2;//碎片2的误差
    private Double errorIarValue3;//碎片3的误差
    private Double errorIarValue4;//碎片4的误差






}
