package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 实验结果查询分页查询
 */
@Data
@ApiModel(value = "QueryTestResultPageDTO", description = "实验结果查询分页查询的参数")
public class QueryTestResultPageDTO {

    @ApiModelProperty("分页参数，每页多少条")
    private long size = 10L;

    @ApiModelProperty("分页参数， 当前页")
    private long current = 1L;

    @ApiModelProperty("类型，10000 委托、20000 任务、 30000 筛查")
    @NotNull(message = "参数不全， 请检查参数是否符合！")
    private Integer type;

    @ApiModelProperty("关键字")
    private String keyword;

    @ApiModelProperty("录入人-查询")
    private String createBy;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

}
