package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 保存实验数据的定量结果
 */
@Data
@ApiModel(value = "SaveQuantitativeResultsDTO", description = "保存实验数据的定量结果")
public class SaveQuantitativeResultsDTO {

    @ApiModelProperty("目标物上样编号 --- 生物样本检验时的参数为上样编号")
    private String sampleName;

    @ApiModelProperty("目标物检材编号 -- 缴获物检验时的参数为检材编号")
    private String sampleNo;

    @ApiModelProperty("化合物名称")
    @NotBlank(message = "参数不全，请检查参数！")
    private String compoundName;

    @ApiModelProperty("定量结果")
    @NotBlank(message = "参数不全，请检查参数！")
    private String quantitativeResults;

    /*@ApiModelProperty("保存的数据类型")
    @NotBlank(message = "参数不全，请检查参数！")
    private String type;*/
}
