package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * 获取任务审核数据时分页查询参数
 */
@Data
@ApiModel(value = "TaskTestDataPageDTO", description = "获取任务审核数据时分页查询参数")
public class TaskTestDataPageDTO {

    @ApiModelProperty("分页参数，每页多少条")
    @Min(value = 10, message = "每页条数不能小于10")
    private int size = 10;

    @ApiModelProperty("分页参数， 当前页")
    @Min(value = 1, message = "当前页不能小于1")
    private int current = 1;

    // 搜索参数 待定
    @ApiModelProperty("关键字, 支持任务名称，检材名称")
    private String keyword;

    // 搜索参数 待定
    @ApiModelProperty("业务类型")
    private String businessType;

    // 状态值
    @ApiModelProperty("状态, 1 任务审核列表 | 2 任务审批列表")
    @Max(value = 2, message = "最大值为2")
    @Min(value = 1, message = "最小值不能小于1")
    private Integer status;
}
