package digital.laboratory.platform.inspection.entity;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author xy
 * @version 1.0
 * @title  进样器管理
 * @description
 * @create 2024/1/17 11:32
 */
@Data
@TableName(value = "b_sample_injector", autoResultMap = true)
@ApiModel(value = "进样器信息", description = "进样器信息")
public class SampleInjector extends BaseEntity {

    @ApiModelProperty("主键id")
    private String id;

    /**
     * 进样器类型  1、圆盘进样器，2、方盘进样器
     */
    @ApiModelProperty("进样器类型  1、圆盘进样器，2、方盘进样器，0 未选择")
    @NotNull(message = "请选择进样器类型！")
    private Integer type = 0;

    /**
     * 进样信息，位置信息，以json格式存储
     */
    @ApiModelProperty("进样信息，位置信息，以json格式存储")
    private String injectorInfo;

    /**
     * 检验ID，进样信息是属于某次试验的进样信息
     */
    @ApiModelProperty("检验ID，进样信息是属于某次试验的进样信息")
    @NotBlank(message = "检验id不能为空!")
    private String testId;
    /**
     * 空白起始位置
     */
    @ApiModelProperty("空白起始位置")
    private Integer blankStartPosition;

    /**
     * 空白穿插次数
     */
    @ApiModelProperty("空白穿插次数")
    private Integer insertNumber;

    /**
     * 是否已经保存, 默认false
     */
    @ApiModelProperty("是否可以重置标识, true 可以重置， false 不能重置")
    private boolean resetFlag = true;

//    /**
//     * 方盘-进样位置信息-1, 临时参数
//     */
//    @ApiModelProperty("方盘-进样位置信息-1, 临时参数")
//    @TableField(exist = false)
//    private JSONArray injectorInfo1 = new JSONArray();
//
//    /**
//     * 方盘-进样位置信息-2, 临时参数
//     */
//    @ApiModelProperty("方盘-进样位置信息-2, 临时参数")
//    @TableField(exist = false)
//    private JSONArray injectorInfo2 = new JSONArray();
//
//    /**
//     * 方盘-进样位置信息-3, 临时参数
//     */
//    @ApiModelProperty("方盘-进样位置信息-3, 临时参数")
//    @TableField(exist = false)
//    private JSONArray injectorInfo3 = new JSONArray();
//
//    /**
//     * 方盘-进样位置信息-4, 临时参数
//     */
//    @ApiModelProperty("方盘-进样位置信息-4, 临时参数")
//    @TableField(exist = false)
//    private JSONArray injectorInfo4 = new JSONArray();
}
