package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 样本检验数据
 * @TableName b_test_record_sampledata
 */
@Data
@TableName(value ="b_test_record_sampledata",  autoResultMap = true)
@ApiModel(value = "实验中样本检测结果数据", description = "实验中样本检测结果数据")
public class TestRecordSampleData extends BaseEntity {
    /**
     * 主键标识
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 数据从机器中导出的唯一标识
     */
    private String name;

    /**
     * 样本编号
     */
    private String sampleNo;

    /**
     * 实验ID
     */
    private String testId;

    /**
     * 标准品浓度
     */
    private String stdConcentration;

    /**
     * 样品浓度
     */
    private String sampleConcentration;

    /**
     * 化合物名称
     */
    private String compoundName;

    /**
     * 保留时间是否在误差范围内,缴获物(-1~1), 生物样本(-2.5~2.5)
     */
    private String rtTimeWithinError;

    /**
     * 保留时间相对误差(%)
     */
    private Double rtTimeError;

    /**
     * 检材保留时间(min)
     */
    private Double targetRtTime;

    /**
     * 标准品保留时间(min)
     */
    private Double stdRtTime;

    /**
     * 是否检出该物质  1检出 0 未检出
     */
    private Integer isDetected;

    /**
     * 样本类型- QC(质控)  STD(标准品) Analyte(待测样品)
     */
    private String sampleType;

    /**
     * 检验数据json
     */
    private String dataJson;

    /**
     * 检验结果数据json
     */
    private String dataResultJson;

    /**
     * 状态：
     *   0 待审核，
     *   1 已审核，
     *   2 已审批，
     *   3 已上传
     *   上传到大数据平台（仅针对任务数据, 其他业务类型的数据默认0）
     */
    private Integer status;

    /**
     * 检测的化合物的中文名字
     */
    private String compoundCnName;

}
