package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @title TestRecordSampleSolution
 * @description 样本溶液
 * @create 2023/12/20 11:36
 */
@Data
@TableName("b_test_record_sample_solution")
@ApiModel(value = "实验中配置的样本溶液", description = "实验中配置的样本溶液")
public class TestRecordSampleSolution extends BaseEntity {
    private String id;
    private String sampleNo;//样品编号
    private String sampleShape;//样品性状
    private String dilutionName;//稀释溶剂名称
    private String extractionName;//提取溶剂名称
    private String constantVolume;//定容体积
    private String dilutionFactor;//稀释倍数
    private String originalConcentration;//原始浓度
    private String resultConcentration;//结果浓度
    private String weighingValue;//称取质量
    private String testId;//检验Id
    private String materialId;//检材ID，表示这个溶液来自于 哪个检材
    @TableField(exist = false)
    private String printSampleName;//打印检验记录中出现的名称：1号检材、2号检材
    private String remark;

}
