package digital.laboratory.platform.inspection.service;

import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.inspection.dto.DeleteTestAtlasDTO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author ChenJiangBao
 * @version 1.0
 * @description: 实验图谱相关接口
 * @date 2025/3/18 14:56
 */
public interface TestAtlasService {
    /**
     * 上传实验图谱（单个）
     * @param testId
     * @param file
     * @return
     */
    R uploadTestAtlas(String testId, MultipartFile file) throws Exception;

    /**
     * 上传实验图谱(批量)
     * @param testId
     * @param files
     * @return
     */
    R uploadTestAtlasBatch(String testId, List<MultipartFile> files);

    /**
     * 获取该实验id的实验图谱
     * @param testId
     * @return
     */
    R getTestAtlasList(String testId);

    /**
     * 删除实验图谱
     * @param dto
     * @return
     */
    R deleteTestAtlas(DeleteTestAtlasDTO dto) throws Exception;

    /**
     * 根据业务id获取实验图谱
     * @param businessId
     * @return
     */
    R getTestAtlasListByBusinessId(String businessId);
}
