# 检验鉴定系统 -- 数据文件解析方式

## 20240415

### 毛发案件

#### 使用的仪器

**沃特斯**

#### 源文件表头意思

    #    Name    ID    RT    Quan Trace    Area    1?Trace    1?Area    
    1?Ratio (Actual)    1?Ratio (Pred)    1?Ratio Flag    %Dev    
    Primary Flags    ng/mL    Std. Conc    2?Trace    2?Area    
    2?Ratio (Actual)    2?Ratio (Pred)    2?Ratio Flag

**Name** -> 数据流水号，目前也存储在数据库表`b_test_record_sampledata.name` ，存储该字段的原因是因为在实验中一个检材可能取两次数据，方便生成检验记录表时，给检材加标识 `-1、-2` 等

**ID** -> 这个字段可能有检材、标准品、空白溶液等。标准品在文件中的标识是  `STD`、检材的标识是系统中检材的受理编号、质控溶液的标识 `QC`  、空白溶液的是  `BLK`、 `ACN` 是用来清洗针管等

**RT** ->  数据文件中保留时间字段

**Quan Trace 和 1?Trace** -> 定性离子对

**Area 和 1?Area** -> 峰面积

**1?Ratio (Actual)** -> 离子丰度比，其计算公式是 `1?Area` /  `Area` 

**1?Ratio (Pred)** -> 对比的标准品离子丰度比

**1?Ratio Flag** -> 标记是否检出， YES 未检出  NO检出

**ng/mL** -> 检材或者标准品浓度

余下的字段目前未用到



### NPS案件

#### 使用的仪器

**岛津**

#### 源文件字段意思

```
[Header]
Data File Name	D:\20231019山西临猗\2023-76-4_8.qgd
Output Date	2023/10/27
Output Time	9:39:02

[File Information]
Type	数据文件
Generated	2023/10/24 18:45:06
Generated by	Admin
Modified	2023/10/27 9:39:02
Modified by	Admin

[Sample Information]
Operator Name	Admin
Analyzed	2023/10/24 18:52:13
Type	未知物
Level	1
Sample Name	4号毒品疑似物
Sample ID	2023-0072-1
ISTD Amount 1	1
ISTD Amount 2	1
ISTD Amount 3	1
ISTD Amount 4	1
ISTD Amount 5	1
ISTD Amount 6	1
ISTD Amount 7	1
ISTD Amount 8	1
ISTD Amount 9	1
ISTD Amount 10	1
ISTD Amount 11	1
ISTD Amount 12	1
ISTD Amount 13	1
ISTD Amount 14	1
ISTD Amount 15	1
ISTD Amount 16	1
ISTD Amount 17	1
ISTD Amount 18	1
ISTD Amount 19	1
ISTD Amount 20	1
ISTD Amount 21	1
ISTD Amount 22	1
ISTD Amount 23	1
ISTD Amount 24	1
ISTD Amount 25	1
ISTD Amount 26	1
ISTD Amount 27	1
ISTD Amount 28	1
ISTD Amount 29	1
ISTD Amount 30	1
ISTD Amount 31	1
ISTD Amount 32	1
Sample Amount	1
Dilution Factor	1
Vial#	5
Injection Volume	1
Injection Count	1
Bar Code	

[Original Files]
Data File	D:\20231019山西临猗\2023-76-4_8.qgd
Method File	D:\20231019山西临猗\海洛因方法+数据处理.qgm
Batch File	D:\20231019山西临猗\2023-1026-test.qgb
Report Format File	
Tuning File	C:\GCMSsolution\System\Tune1\20231024-N-#1.qgt

[File Description]


[MS Quantitative Results]
# of IDs	4
ID#	Name	Type	ISTD Group#	Mass	Ret.Time	Start Time	End Time	A/H	Area	Height	Conc.	Mode	Peak#	Std.Ret.Time	Calibration Curve	3rd	2nd	1st	Constant	Ref.Ion Area	Ref.Ion Height	Ref.Ion Set Ratio	Ref.Ion Ratio	Recovery	SI	Ref.Ion1 m/z	Ref.Ion1 Area	Ref.Ion1 Height	Ref.Ion1 Set Ratio	Ref.Ion1 Ratio	Ref.Ion2 m/z	Ref.Ion2 Area	Ref.Ion2 Height	Ref.Ion2 Set Ratio	Ref.Ion2 Ratio	Ref.Ion3 m/z	Ref.Ion3 Area	Ref.Ion3 Height	Ref.Ion3 Set Ratio	Ref.Ion3 Ratio	Ref.Ion4 m/z	Ref.Ion4 Area	Ref.Ion4 Height	Ref.Ion4 Set Ratio	Ref.Ion4 Ratio	Ref.Ion5 m/z	Ref.Ion5 Area	Ref.Ion5 Height	Ref.Ion5 Set Ratio	Ref.Ion5 Ratio	Ret. Index	S/N	Unit	Description	Threshold	Tailing	Ref.Ion1 S/N	Ref.Ion2 S/N	Ref.Ion3 S/N	Ref.Ion4 S/N	Ref.Ion5 S/N	ISTD Name	ISTD Area	ISTD Height	ISTD Ret.Time	Noise
1	Heroin	目标物	1	327.00	10.727	10.640	10.950	1.970	142994	72693	0.00000	Auto	4	10.695	线性	0	0	0	0	0	0	0	0.00	0.00	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0		521.57	ppm		0.00000	1.126										139.374	
2	Heroin	目标物	1	369.00	10.726	10.680	11.170	1.950	93699	48039	0.00000	Auto	9	10.695	线性	0	0	0	0	0	0	0	0.00	0.00	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0		1010.38	ppm		0.00000	1.119										47.545	
3	Heroin	目标物	1	310.00	10.665	10.630	10.675	2.200	130	59	0.00000	Auto	13	10.695	线性	0	0	0	0	0	0	0	0.00	0.00	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0		1.32	ppm		0.00000	--										44.735	
4	Heroin	目标物	1	268.00	10.727	10.640	11.085	1.960	93834	47994	0.00000	Auto	18	10.695	线性	0	0	0	0	0	0	0	0.00	0.00	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0		648.39	ppm		0.00000	1.115										74.020	

[MC Peak Table]
```



**Type** -> 表明是标准品还是要检测的样品，    `未知物` 待检测的样品，`Standard` 标准品

**Sample Name** -> 检材样品的名称

**Sample ID** -> 检材样品的编号

**Name** -> 所要检测的化合物名称

**Mass** ->本次检测的质荷比
